Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 896140 - PRD34 - [RFE] Ad Hoc reporting domains\topics should contain the vm created_by field
Summary: PRD34 - [RFE] Ad Hoc reporting domains\topics should contain the vm created_b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Yaniv Lavi
QA Contact: Barak Dagan
URL:
Whiteboard: infra
Depends On: 883778 896139 1052383
Blocks: 1052388 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-01-16 17:25 UTC by Dan Yasny
Modified: 2018-12-01 14:24 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Added the "created_by" field to the configuration history for virtual machines.
Clone Of:
: 1052388 (view as bug list)
Environment:
Last Closed: 2014-06-09 15:26:16 UTC
oVirt Team: Infra
Target Upstream Version:
dyasny: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:0602 normal SHIPPED_LIVE rhevm-reports 3.4 bug fix and enhancement update 2014-06-09 19:26:10 UTC

Description Dan Yasny 2013-01-16 17:25:26 UTC
Description of problem:

configuration history for a VM should contain the created_by field. This is required for enhancements to the CCP report

Comment 1 Barak 2013-06-04 12:00:48 UTC
Bryan,

As I understand this bug comes from State-Street,
Please take ownership and if relevant attach the customer ticket, and add to the appropriate tracker.

In addition we need to verify this is actually what they have requested.
This will not make it to 3.3 moving  rhevm-future

Comment 2 Bryan Yount 2013-06-13 23:40:47 UTC
(In reply to Barak from comment #1)
> As I understand this bug comes from State-Street,
> Please take ownership and if relevant attach the customer ticket, and add to
> the appropriate tracker.
> 
> In addition we need to verify this is actually what they have requested.
> This will not make it to 3.3 moving  rhevm-future

Honestly, I don't remember them specifically asking for this. Is there any additional context besides what we see here in the BZ? I will open a ticket and ask the customer but I don't have much to go on here.

Comment 6 Yaniv Lavi 2014-01-22 14:26:29 UTC
I am changing the goal of this RFE to add this column to ad hoc reporting. 
The upstream feature of adding to CCP report was created and discussion is being done on if to implement this see BZ #1052388 for that discussion.



Yaniv

Comment 9 Barak Dagan 2014-03-12 15:13:00 UTC
Verified on av2.1:

rhevm-3.4.0-0.3.master.el6ev.noarch
rhevm-dwh-3.4.0-0.4.master.20140224152332.el6ev.noarch


1) found
under topics: ad hoc components / topics / 3.4 / VM inventory Topic (AH Reports)
Fields / VMs / VM Created by Username

2) Found:
Under domains: ad hoc components / domains / 3.4 / VM inventory domain (AH Reports)
Source / VMs / VM Created by Username

Comment 10 Barak Dagan 2014-03-12 15:56:40 UTC
rhevm-3.4.0-0.3.master.el6ev.noarch
rhevm-dwh-3.4.0-0.4.master.20140224152332.el6ev.noarch
rhevm-reports-3.4.0-0.4.master.20140226133324.el6ev.noarch
jasperreports-server-pro-5.5.0-8.el6ev.noarch

Comment 11 errata-xmlrpc 2014-06-09 15:26:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0602.html


Note You need to log in before you can comment on or make changes to this bug.